Package org.eclipse.cdt.core.dom.ast.cpp

## Enum ICPPASTEnumerationSpecifier.ScopeStyle

- java.lang.Object
- - java.lang.Enum<ICPPASTEnumerationSpecifier.ScopeStyle>
  - - org.eclipse.cdt.core.dom.ast.cpp.ICPPASTEnumerationSpecifier.ScopeStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<ICPPASTEnumerationSpecifier.ScopeStyle>`

Enclosing interface:
  ICPPASTEnumerationSpecifier

    public static enum ICPPASTEnumerationSpecifier.ScopeStyle
    extends Enum<ICPPASTEnumerationSpecifier.ScopeStyle>

Since:
  6.6

### Enum Constant Summary

Enum Constants
`CLASS`
`NONE`
`STRUCT`

### Method Summary

All Methods Static Methods Concrete Methods
`static ICPPASTEnumerationSpecifier.ScopeStyle` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ICPPASTEnumerationSpecifier.ScopeStyle[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CLASS

    public static final ICPPASTEnumerationSpecifier.ScopeStyle CLASS

#### STRUCT

    public static final ICPPASTEnumerationSpecifier.ScopeStyle STRUCT

#### NONE

    public static final ICPPASTEnumerationSpecifier.ScopeStyle NONE

### Method Detail

#### values

    public static ICPPASTEnumerationSpecifier.ScopeStyle[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ICPPASTEnumerationSpecifier.ScopeStyle c : ICPPASTEnumerationSpecifier.ScopeStyle.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ICPPASTEnumerationSpecifier.ScopeStyle valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null